#!/bin/bash

# Generate list of files, URLs and titles

# Index pages. Edit to suit your needs. Last entry needs to be empty
# INDEXES=( "index.htm" "index.html" "index.php" "index.phtml" "index.shtml" "" )

# Temp files
TMPDAT="$(date +%s)-${$}"
TMP="/tmp/text-urls-${TMPDAT}"
TMP2="/tmp/text-tabs-${TMPDAT}"

# Input: Linklint linkchecker results
# XXX Edit this! XXX
LINKLOG="/path/to/linklint/results/file.txt"
# Output
URLSFILE="/var/local/lib/websearch/text-urls.list"

# Set locale for sort order
export LC_ALL=C.UTF-8

> "${TMP}"
> "${TMP2}"

# List of URLs
# Server root
echo "/" > "${TMP}"
# Files without extention that are not dirs
grep "^/" "${LINKLOG}" | grep -v "[.]" | grep -v "/$" >> "${TMP}"
# Other text/* files
# Edit this to suit your needs!
egrep '^/.+(/|[.](c|conf|diff|h|(p|s)?htm(l)?|patch|pdf|php|readme|sh|txt)|README([.].+)?|[a-z][.][1-9])$' "${LINKLOG}" >> "${TMP}"

# Sort and unique
sort -u -o "${TMP}" "${TMP}"

# File and title
while read URL
do
	# URL to file
	# This only works with the .html extension:
	FILE=$( echo "${URL}" | /usr/local/bin/url2file -i )
	# You may want to try this instead:
	#FILE=$( echo "${URL}" | /usr/local/bin/url2file )
	#if ( echo "${FILE}" | egrep "/.+/$" > /dev/null )
	#then
	#	IDX=0
	#	while [ -n "${INDEXES[IDX]}" ]
	#	do
	#		if [ -f "${FILE}${INDEXES[IDX]}" ]
	#		then
	#			FILE="${FILE}${INDEXES[IDX]}"
	#			break
	#		fi
	#		let IDX+=1
	#	done
	#	if [ -z "${INDEXES[IDX]}" ]
	#	then
	#		echo "File ${FILE} not found"
	#		continue
	#	fi
	#fi

	# Is this a PDF file?
	if ( echo ${FILE} | egrep -h ".+[.]pdf$" > /dev/null )
	then
		TXTVER=$( echo "${FILE}" | sed 's/.pdf/.txt/g' )
		if [ -f "${TXTVER}" ]
		then
			# Use text version
			FILE="${TXTVER}"
		fi
	fi

	# Find title
	if [ -f "${FILE}.title" ]
	then
		TITLE=$( cat "${FILE}.title" )
	elif ( echo ${FILE} | egrep -h ".+[.](p|s)?htm(l)?$" > /dev/null )
	then
		TITLE=$( cat "${FILE}" | /usr/local/bin/fndtitle )
	else
		TITLE=""
	fi
	if [ -z "${TITLE}" ]
	then
		# Use filename as title
		TITLE=$( basename "${URL}" )
	fi

	# Write to file
	echo -e "${FILE}\t${URL}\t${TITLE}" >> "${TMP2}"
done < "${TMP}"

# Copy if different
if ! ( diff "${TMP2}" "${URLSFILE}" > /dev/null )
then
        rm "${URLSFILE}.bak"
        mv "${URLSFILE}" "${URLSFILE}.bak"
        cp "${TMP2}" "${URLSFILE}"
fi

rm "${TMP}"
rm "${TMP2}"

