#ifndef CGS_WC_NUM_H
#define CGS_WC_NUM_H 1

#include <stdio.h>
#include "wc2asc.h"
#include <wchar.h>
#include <wctype.h>

/*  ASCII replacements for non-ASCII  */

struct wc2asc wc2numtab[] = {
	/*  RUNIC ARLAUG SYMBOL  */
	{ 0x16EE, "17", 2 },
	/*  RUNIC TVIMADUR SYMBOL  */
	{ 0x16EF, "18", 2 },
	/*  RUNIC BELGTHOR SYMBOL  */
	{ 0x16F0, "19", 2 },
	/*  SMALL ROMAN NUMERAL ONE  */
	{ 0x2170, "1", 1 },
	/*  SMALL ROMAN NUMERAL TWO  */
	{ 0x2171, "2", 1 },
	/*  SMALL ROMAN NUMERAL THREE  */
	{ 0x2172, "3", 1 },
	/*  SMALL ROMAN NUMERAL FOUR  */
	{ 0x2173, "4", 1 },
	/*  SMALL ROMAN NUMERAL FIVE  */
	{ 0x2174, "5", 1 },
	/*  SMALL ROMAN NUMERAL SIX  */
	{ 0x2175, "6", 1 },
	/*  SMALL ROMAN NUMERAL SEVEN  */
	{ 0x2176, "7", 1 },
	/*  SMALL ROMAN NUMERAL EIGHT  */
	{ 0x2177, "8", 1 },
	/*  SMALL ROMAN NUMERAL NINE  */
	{ 0x2178, "9", 1 },
	/*  SMALL ROMAN NUMERAL TEN  */
	{ 0x2179, "10", 2 },
	/*  SMALL ROMAN NUMERAL ELEVEN  */
	{ 0x217A, "11", 2 },
	/*  SMALL ROMAN NUMERAL TWELVE  */
	{ 0x217B, "12", 2 },
	/*  SMALL ROMAN NUMERAL FIFTY  */
	{ 0x217C, "50", 2 },
	/*  SMALL ROMAN NUMERAL ONE HUNDRED  */
	{ 0x217D, "100", 3 },
	/*  SMALL ROMAN NUMERAL FIVE HUNDRED  */
	{ 0x217E, "500", 3 },
	/*  SMALL ROMAN NUMERAL ONE THOUSAND  */
	{ 0x217F, "1000", 4 },
	/*  ROMAN NUMERAL ONE THOUSAND C D  */
	{ 0x2180, "1000", 4 },
	/*  ROMAN NUMERAL FIVE THOUSAND  */
	{ 0x2181, "5000", 4 },
	/*  ROMAN NUMERAL TEN THOUSAND  */
	{ 0x2182, "10000", 5 },
	/*  ROMAN NUMERAL SIX LATE FORM  */
	{ 0x2185, "6", 1 },
	/*  ROMAN NUMERAL FIFTY EARLY FORM  */
	{ 0x2186, "50", 2 },
	/*  ROMAN NUMERAL FIFTY THOUSAND  */
	{ 0x2187, "50000", 5 },
	/*  ROMAN NUMERAL ONE HUNDRED THOUSAND  */
	{ 0x2188, "100000", 6 },
	/*  IDEOGRAPHIC NUMBER ZERO  */
	{ 0x3007, "0", 1 },
	/*  HANGZHOU NUMERAL ONE  */
	{ 0x3021, "1", 1 },
	/*  HANGZHOU NUMERAL TWO  */
	{ 0x3022, "2", 1 },
	/*  HANGZHOU NUMERAL THREE  */
	{ 0x3023, "3", 1 },
	/*  HANGZHOU NUMERAL FOUR  */
	{ 0x3024, "4", 1 },
	/*  HANGZHOU NUMERAL FIVE  */
	{ 0x3025, "5", 1 },
	/*  HANGZHOU NUMERAL SIX  */
	{ 0x3026, "6", 1 },
	/*  HANGZHOU NUMERAL SEVEN  */
	{ 0x3027, "7", 1 },
	/*  HANGZHOU NUMERAL EIGHT  */
	{ 0x3028, "8", 1 },
	/*  HANGZHOU NUMERAL NINE  */
	{ 0x3029, "9", 1 },
	/*  HANGZHOU NUMERAL TEN  */
	{ 0x3038, "10", 2 },
	/*  HANGZHOU NUMERAL TWENTY  */
	{ 0x3039, "20", 2 },
	/*  HANGZHOU NUMERAL THIRTY  */
	{ 0x303A, "30", 2 },
	/*  BAMUM LETTER MO  */
	{ 0xA6E6, "1", 1 },
	/*  BAMUM LETTER MBAA  */
	{ 0xA6E7, "2", 1 },
	/*  BAMUM LETTER TET  */
	{ 0xA6E8, "3", 1 },
	/*  BAMUM LETTER KPA  */
	{ 0xA6E9, "4", 1 },
	/*  BAMUM LETTER TEN  */
	{ 0xA6EA, "5", 1 },
	/*  BAMUM LETTER NTUU  */
	{ 0xA6EB, "6", 1 },
	/*  BAMUM LETTER SAMBA  */
	{ 0xA6EC, "7", 1 },
	/*  BAMUM LETTER FAAMAE  */
	{ 0xA6ED, "8", 1 },
	/*  BAMUM LETTER KOVUU  */
	{ 0xA6EE, "9", 1 },
	/*  BAMUM LETTER KOGHOM  */
	{ 0xA6EF, "0", 1 },
	/*  GREEK ACROPHONIC ATTIC ONE QUARTER  */
	{ 0x10140, "1/4", 3 },
	/*  GREEK ACROPHONIC ATTIC ONE HALF  */
	{ 0x10141, "1/2", 3 },
	/*  GREEK ACROPHONIC ATTIC ONE DRACHMA  */
	{ 0x10142, "1", 1 },
	/*  GREEK ACROPHONIC ATTIC FIVE  */
	{ 0x10143, "5", 1 },
	/*  GREEK ACROPHONIC ATTIC FIFTY  */
	{ 0x10144, "50", 2 },
	/*  GREEK ACROPHONIC ATTIC FIVE HUNDRED  */
	{ 0x10145, "500", 3 },
	/*  GREEK ACROPHONIC ATTIC FIVE THOUSAND  */
	{ 0x10146, "5000", 4 },
	/*  GREEK ACROPHONIC ATTIC FIFTY THOUSAND  */
	{ 0x10147, "50000", 5 },
	/*  GREEK ACROPHONIC ATTIC FIVE TALENTS  */
	{ 0x10148, "5", 1 },
	/*  GREEK ACROPHONIC ATTIC TEN TALENTS  */
	{ 0x10149, "10", 2 },
	/*  GREEK ACROPHONIC ATTIC FIFTY TALENTS  */
	{ 0x1014A, "50", 2 },
	/*  GREEK ACROPHONIC ATTIC ONE HUNDRED TALENTS  */
	{ 0x1014B, "100", 3 },
	/*  GREEK ACROPHONIC ATTIC FIVE HUNDRED TALENTS  */
	{ 0x1014C, "500", 3 },
	/*  GREEK ACROPHONIC ATTIC ONE THOUSAND TALENTS  */
	{ 0x1014D, "1000", 4 },
	/*  GREEK ACROPHONIC ATTIC FIVE THOUSAND TALENTS  */
	{ 0x1014E, "5000", 4 },
	/*  GREEK ACROPHONIC ATTIC FIVE STATERS  */
	{ 0x1014F, "5", 1 },
	/*  GREEK ACROPHONIC ATTIC TEN STATERS  */
	{ 0x10150, "10", 2 },
	/*  GREEK ACROPHONIC ATTIC FIFTY STATERS  */
	{ 0x10151, "50", 2 },
	/*  GREEK ACROPHONIC ATTIC ONE HUNDRED STATERS  */
	{ 0x10152, "100", 3 },
	/*  GREEK ACROPHONIC ATTIC FIVE HUNDRED STATERS  */
	{ 0x10153, "500", 3 },
	/*  GREEK ACROPHONIC ATTIC ONE THOUSAND STATERS  */
	{ 0x10154, "1000", 4 },
	/*  GREEK ACROPHONIC ATTIC TEN THOUSAND STATERS  */
	{ 0x10155, "10000", 5 },
	/*  GREEK ACROPHONIC ATTIC FIFTY THOUSAND STATERS  */
	{ 0x10156, "50000", 5 },
	/*  GREEK ACROPHONIC ATTIC TEN MNAS  */
	{ 0x10157, "10", 2 },
	/*  GREEK ACROPHONIC HERAEUM ONE PLETHRON  */
	{ 0x10158, "1", 1 },
	/*  GREEK ACROPHONIC THESPIAN ONE  */
	{ 0x10159, "1", 1 },
	/*  GREEK ACROPHONIC HERMIONIAN ONE  */
	{ 0x1015A, "1", 1 },
	/*  GREEK ACROPHONIC EPIDAUREAN TWO  */
	{ 0x1015B, "2", 1 },
	/*  GREEK ACROPHONIC THESPIAN TWO  */
	{ 0x1015C, "2", 1 },
	/*  GREEK ACROPHONIC CYRENAIC TWO DRACHMAS  */
	{ 0x1015D, "2", 1 },
	/*  GREEK ACROPHONIC EPIDAUREAN TWO DRACHMAS  */
	{ 0x1015E, "2", 1 },
	/*  GREEK ACROPHONIC TROEZENIAN FIVE  */
	{ 0x1015F, "5", 1 },
	/*  GREEK ACROPHONIC TROEZENIAN TEN  */
	{ 0x10160, "10", 2 },
	/*  GREEK ACROPHONIC TROEZENIAN TEN ALTERNATE FORM  */
	{ 0x10161, "10", 2 },
	/*  GREEK ACROPHONIC HERMIONIAN TEN  */
	{ 0x10162, "10", 2 },
	/*  GREEK ACROPHONIC MESSENIAN TEN  */
	{ 0x10163, "10", 2 },
	/*  GREEK ACROPHONIC THESPIAN TEN  */
	{ 0x10164, "10", 2 },
	/*  GREEK ACROPHONIC THESPIAN THIRTY  */
	{ 0x10165, "30", 2 },
	/*  GREEK ACROPHONIC TROEZENIAN FIFTY  */
	{ 0x10166, "50", 2 },
	/*  GREEK ACROPHONIC TROEZENIAN FIFTY ALTERNATE FORM  */
	{ 0x10167, "50", 2 },
	/*  GREEK ACROPHONIC HERMIONIAN FIFTY  */
	{ 0x10168, "50", 2 },
	/*  GREEK ACROPHONIC THESPIAN FIFTY  */
	{ 0x10169, "50", 2 },
	/*  GREEK ACROPHONIC THESPIAN ONE HUNDRED  */
	{ 0x1016A, "100", 3 },
	/*  GREEK ACROPHONIC THESPIAN THREE HUNDRED  */
	{ 0x1016B, "300", 3 },
	/*  GREEK ACROPHONIC EPIDAUREAN FIVE HUNDRED  */
	{ 0x1016C, "500", 3 },
	/*  GREEK ACROPHONIC TROEZENIAN FIVE HUNDRED  */
	{ 0x1016D, "500", 3 },
	/*  GREEK ACROPHONIC THESPIAN FIVE HUNDRED  */
	{ 0x1016E, "500", 3 },
	/*  GREEK ACROPHONIC CARYSTIAN FIVE HUNDRED  */
	{ 0x1016F, "500", 3 },
	/*  GREEK ACROPHONIC NAXIAN FIVE HUNDRED  */
	{ 0x10170, "500", 3 },
	/*  GREEK ACROPHONIC THESPIAN ONE THOUSAND  */
	{ 0x10171, "1000", 4 },
	/*  GREEK ACROPHONIC THESPIAN FIVE THOUSAND  */
	{ 0x10172, "5000", 4 },
	/*  GREEK ACROPHONIC DELPHIC FIVE MNAS  */
	{ 0x10173, "5", 1 },
	/*  GREEK ACROPHONIC STRATIAN FIFTY MNAS  */
	{ 0x10174, "50", 2 },
	/*  GOTHIC LETTER NINETY  */
	{ 0x10341, "90", 2 },
	/*  GOTHIC LETTER NINE HUNDRED  */
	{ 0x1034A, "900", 3 },
	/*  OLD PERSIAN NUMBER ONE  */
	{ 0x103D1, "1", 1 },
	/*  OLD PERSIAN NUMBER TWO  */
	{ 0x103D2, "2", 1 },
	/*  OLD PERSIAN NUMBER TEN  */
	{ 0x103D3, "10", 2 },
	/*  OLD PERSIAN NUMBER TWENTY  */
	{ 0x103D4, "20", 2 },
	/*  OLD PERSIAN NUMBER HUNDRED  */
	{ 0x103D5, "100", 3 },
	/*  CUNEIFORM NUMERIC SIGN TWO ASH  */
	{ 0x12400, "2", 1 },
	/*  CUNEIFORM NUMERIC SIGN THREE ASH  */
	{ 0x12401, "3", 1 },
	/*  CUNEIFORM NUMERIC SIGN FOUR ASH  */
	{ 0x12402, "4", 1 },
	/*  CUNEIFORM NUMERIC SIGN FIVE ASH  */
	{ 0x12403, "5", 1 },
	/*  CUNEIFORM NUMERIC SIGN SIX ASH  */
	{ 0x12404, "6", 1 },
	/*  CUNEIFORM NUMERIC SIGN SEVEN ASH  */
	{ 0x12405, "7", 1 },
	/*  CUNEIFORM NUMERIC SIGN EIGHT ASH  */
	{ 0x12406, "8", 1 },
	/*  CUNEIFORM NUMERIC SIGN NINE ASH  */
	{ 0x12407, "9", 1 },
	/*  CUNEIFORM NUMERIC SIGN THREE DISH  */
	{ 0x12408, "3", 1 },
	/*  CUNEIFORM NUMERIC SIGN FOUR DISH  */
	{ 0x12409, "4", 1 },
	/*  CUNEIFORM NUMERIC SIGN FIVE DISH  */
	{ 0x1240A, "5", 1 },
	/*  CUNEIFORM NUMERIC SIGN SIX DISH  */
	{ 0x1240B, "6", 1 },
	/*  CUNEIFORM NUMERIC SIGN SEVEN DISH  */
	{ 0x1240C, "7", 1 },
	/*  CUNEIFORM NUMERIC SIGN EIGHT DISH  */
	{ 0x1240D, "8", 1 },
	/*  CUNEIFORM NUMERIC SIGN NINE DISH  */
	{ 0x1240E, "9", 1 },
	/*  CUNEIFORM NUMERIC SIGN FOUR U  */
	{ 0x1240F, "4", 1 },
	/*  CUNEIFORM NUMERIC SIGN FIVE U  */
	{ 0x12410, "5", 1 },
	/*  CUNEIFORM NUMERIC SIGN SIX U  */
	{ 0x12411, "6", 1 },
	/*  CUNEIFORM NUMERIC SIGN SEVEN U  */
	{ 0x12412, "7", 1 },
	/*  CUNEIFORM NUMERIC SIGN EIGHT U  */
	{ 0x12413, "8", 1 },
	/*  CUNEIFORM NUMERIC SIGN NINE U  */
	{ 0x12414, "9", 1 },
	/*  CUNEIFORM NUMERIC SIGN ONE GESH2  */
	{ 0x12415, "1", 1 },
	/*  CUNEIFORM NUMERIC SIGN TWO GESH2  */
	{ 0x12416, "2", 1 },
	/*  CUNEIFORM NUMERIC SIGN THREE GESH2  */
	{ 0x12417, "3", 1 },
	/*  CUNEIFORM NUMERIC SIGN FOUR GESH2  */
	{ 0x12418, "4", 1 },
	/*  CUNEIFORM NUMERIC SIGN FIVE GESH2  */
	{ 0x12419, "5", 1 },
	/*  CUNEIFORM NUMERIC SIGN SIX GESH2  */
	{ 0x1241A, "6", 1 },
	/*  CUNEIFORM NUMERIC SIGN SEVEN GESH2  */
	{ 0x1241B, "7", 1 },
	/*  CUNEIFORM NUMERIC SIGN EIGHT GESH2  */
	{ 0x1241C, "8", 1 },
	/*  CUNEIFORM NUMERIC SIGN NINE GESH2  */
	{ 0x1241D, "9", 1 },
	/*  CUNEIFORM NUMERIC SIGN ONE GESHU  */
	{ 0x1241E, "1", 1 },
	/*  CUNEIFORM NUMERIC SIGN TWO GESHU  */
	{ 0x1241F, "2", 1 },
	/*  CUNEIFORM NUMERIC SIGN THREE GESHU  */
	{ 0x12420, "3", 1 },
	/*  CUNEIFORM NUMERIC SIGN FOUR GESHU  */
	{ 0x12421, "4", 1 },
	/*  CUNEIFORM NUMERIC SIGN FIVE GESHU  */
	{ 0x12422, "5", 1 },
	/*  CUNEIFORM NUMERIC SIGN TWO SHAR2  */
	{ 0x12423, "2", 1 },
	/*  CUNEIFORM NUMERIC SIGN THREE SHAR2  */
	{ 0x12424, "3", 1 },
	/*  CUNEIFORM NUMERIC SIGN THREE SHAR2 VARIANT FORM  */
	{ 0x12425, "3", 1 },
	/*  CUNEIFORM NUMERIC SIGN FOUR SHAR2  */
	{ 0x12426, "4", 1 },
	/*  CUNEIFORM NUMERIC SIGN FIVE SHAR2  */
	{ 0x12427, "5", 1 },
	/*  CUNEIFORM NUMERIC SIGN SIX SHAR2  */
	{ 0x12428, "6", 1 },
	/*  CUNEIFORM NUMERIC SIGN SEVEN SHAR2  */
	{ 0x12429, "7", 1 },
	/*  CUNEIFORM NUMERIC SIGN EIGHT SHAR2  */
	{ 0x1242A, "8", 1 },
	/*  CUNEIFORM NUMERIC SIGN NINE SHAR2  */
	{ 0x1242B, "9", 1 },
	/*  CUNEIFORM NUMERIC SIGN ONE SHARU  */
	{ 0x1242C, "1", 1 },
	/*  CUNEIFORM NUMERIC SIGN TWO SHARU  */
	{ 0x1242D, "2", 1 },
	/*  CUNEIFORM NUMERIC SIGN THREE SHARU  */
	{ 0x1242E, "3", 1 },
	/*  CUNEIFORM NUMERIC SIGN THREE SHARU VARIANT FORM  */
	{ 0x1242F, "3", 1 },
	/*  CUNEIFORM NUMERIC SIGN FOUR SHARU  */
	{ 0x12430, "4", 1 },
	/*  CUNEIFORM NUMERIC SIGN FIVE SHARU  */
	{ 0x12431, "5", 1 },
	/*  CUNEIFORM NUMERIC SIGN SHAR2 TIMES GAL PLUS DISH  */
	{ 0x12432, "216000", 6 },
	/*  CUNEIFORM NUMERIC SIGN SHAR2 TIMES GAL PLUS MIN  */
	{ 0x12433, "432000", 6 },
	/*  CUNEIFORM NUMERIC SIGN ONE BURU  */
	{ 0x12434, "1", 1 },
	/*  CUNEIFORM NUMERIC SIGN TWO BURU  */
	{ 0x12435, "2", 1 },
	/*  CUNEIFORM NUMERIC SIGN THREE BURU  */
	{ 0x12436, "3", 1 },
	/*  CUNEIFORM NUMERIC SIGN THREE BURU VARIANT FORM  */
	{ 0x12437, "3", 1 },
	/*  CUNEIFORM NUMERIC SIGN FOUR BURU  */
	{ 0x12438, "4", 1 },
	/*  CUNEIFORM NUMERIC SIGN FIVE BURU  */
	{ 0x12439, "5", 1 },
	/*  CUNEIFORM NUMERIC SIGN THREE VARIANT FORM ESH16  */
	{ 0x1243A, "3", 1 },
	/*  CUNEIFORM NUMERIC SIGN THREE VARIANT FORM ESH21  */
	{ 0x1243B, "3", 1 },
	/*  CUNEIFORM NUMERIC SIGN FOUR VARIANT FORM LIMMU  */
	{ 0x1243C, "4", 1 },
	/*  CUNEIFORM NUMERIC SIGN FOUR VARIANT FORM LIMMU4  */
	{ 0x1243D, "4", 1 },
	/*  CUNEIFORM NUMERIC SIGN FOUR VARIANT FORM LIMMU A  */
	{ 0x1243E, "4", 1 },
	/*  CUNEIFORM NUMERIC SIGN FOUR VARIANT FORM LIMMU B  */
	{ 0x1243F, "4", 1 },
	/*  CUNEIFORM NUMERIC SIGN SIX VARIANT FORM ASH9  */
	{ 0x12440, "6", 1 },
	/*  CUNEIFORM NUMERIC SIGN SEVEN VARIANT FORM IMIN3  */
	{ 0x12441, "7", 1 },
	/*  CUNEIFORM NUMERIC SIGN SEVEN VARIANT FORM IMIN A  */
	{ 0x12442, "7", 1 },
	/*  CUNEIFORM NUMERIC SIGN SEVEN VARIANT FORM IMIN B  */
	{ 0x12443, "7", 1 },
	/*  CUNEIFORM NUMERIC SIGN EIGHT VARIANT FORM USSU  */
	{ 0x12444, "8", 1 },
	/*  CUNEIFORM NUMERIC SIGN EIGHT VARIANT FORM USSU3  */
	{ 0x12445, "8", 1 },
	/*  CUNEIFORM NUMERIC SIGN NINE VARIANT FORM ILIMMU  */
	{ 0x12446, "9", 1 },
	/*  CUNEIFORM NUMERIC SIGN NINE VARIANT FORM ILIMMU3  */
	{ 0x12447, "9", 1 },
	/*  CUNEIFORM NUMERIC SIGN NINE VARIANT FORM ILIMMU4  */
	{ 0x12448, "9", 1 },
	/*  CUNEIFORM NUMERIC SIGN NINE VARIANT FORM ILIMMU A  */
	{ 0x12449, "9", 1 },
	/*  CUNEIFORM NUMERIC SIGN TWO ASH TENU  */
	{ 0x1244A, "2", 1 },
	/*  CUNEIFORM NUMERIC SIGN THREE ASH TENU  */
	{ 0x1244B, "3", 1 },
	/*  CUNEIFORM NUMERIC SIGN FOUR ASH TENU  */
	{ 0x1244C, "4", 1 },
	/*  CUNEIFORM NUMERIC SIGN FIVE ASH TENU  */
	{ 0x1244D, "5", 1 },
	/*  CUNEIFORM NUMERIC SIGN SIX ASH TENU  */
	{ 0x1244E, "6", 1 },
	/*  CUNEIFORM NUMERIC SIGN ONE BAN2  */
	{ 0x1244F, "1", 1 },
	/*  CUNEIFORM NUMERIC SIGN TWO BAN2  */
	{ 0x12450, "2", 1 },
	/*  CUNEIFORM NUMERIC SIGN THREE BAN2  */
	{ 0x12451, "3", 1 },
	/*  CUNEIFORM NUMERIC SIGN FOUR BAN2  */
	{ 0x12452, "4", 1 },
	/*  CUNEIFORM NUMERIC SIGN FOUR BAN2 VARIANT FORM  */
	{ 0x12453, "4", 1 },
	/*  CUNEIFORM NUMERIC SIGN FIVE BAN2  */
	{ 0x12454, "5", 1 },
	/*  CUNEIFORM NUMERIC SIGN FIVE BAN2 VARIANT FORM  */
	{ 0x12455, "5", 1 },
	/*  CUNEIFORM NUMERIC SIGN NIGIDAMIN  */
	{ 0x12456, "2", 1 },
	/*  CUNEIFORM NUMERIC SIGN NIGIDAESH  */
	{ 0x12457, "3", 1 },
	/*  CUNEIFORM NUMERIC SIGN ONE ESHE3  */
	{ 0x12458, "1", 1 },
	/*  CUNEIFORM NUMERIC SIGN TWO ESHE3  */
	{ 0x12459, "2", 1 },
	/*  CUNEIFORM NUMERIC SIGN ONE THIRD DISH  */
	{ 0x1245A, "1/3", 3 },
	/*  CUNEIFORM NUMERIC SIGN TWO THIRDS DISH  */
	{ 0x1245B, "2/3", 3 },
	/*  CUNEIFORM NUMERIC SIGN FIVE SIXTHS DISH  */
	{ 0x1245C, "5/6", 3 },
	/*  CUNEIFORM NUMERIC SIGN ONE THIRD VARIANT FORM A  */
	{ 0x1245D, "1/3", 3 },
	/*  CUNEIFORM NUMERIC SIGN TWO THIRDS VARIANT FORM A  */
	{ 0x1245E, "2/3", 3 },
	/*  CUNEIFORM NUMERIC SIGN ONE EIGHTH ASH  */
	{ 0x1245F, "1/8", 3 },
	/*  CUNEIFORM NUMERIC SIGN ONE QUARTER ASH  */
	{ 0x12460, "1/4", 3 },
	/*  CUNEIFORM NUMERIC SIGN OLD ASSYRIAN ONE SIXTH  */
	{ 0x12461, "1/6", 3 },
	/*  CUNEIFORM NUMERIC SIGN OLD ASSYRIAN ONE QUARTER  */
	{ 0x12462, "1/4", 3 },
	/*  CUNEIFORM NUMERIC SIGN ONE QUARTER GUR  */
	{ 0x12463, "1/4", 3 },
	/*  CUNEIFORM NUMERIC SIGN ONE HALF GUR  */
	{ 0x12464, "1/2", 3 },
	/*  CUNEIFORM NUMERIC SIGN ELAMITE ONE THIRD  */
	{ 0x12465, "1/3", 3 },
	/*  CUNEIFORM NUMERIC SIGN ELAMITE TWO THIRDS  */
	{ 0x12466, "2/3", 3 },
	/*  CUNEIFORM NUMERIC SIGN ELAMITE FORTY  */
	{ 0x12467, "40", 2 },
	/*  CUNEIFORM NUMERIC SIGN ELAMITE FIFTY  */
	{ 0x12468, "50", 2 },
	/*  CUNEIFORM NUMERIC SIGN FOUR U VARIANT FORM  */
	{ 0x12469, "4", 1 },
	/*  CUNEIFORM NUMERIC SIGN FIVE U VARIANT FORM  */
	{ 0x1246A, "5", 1 },
	/*  CUNEIFORM NUMERIC SIGN SIX U VARIANT FORM  */
	{ 0x1246B, "6", 1 },
	/*  CUNEIFORM NUMERIC SIGN SEVEN U VARIANT FORM  */
	{ 0x1246C, "7", 1 },
	/*  CUNEIFORM NUMERIC SIGN EIGHT U VARIANT FORM  */
	{ 0x1246D, "8", 1 },
	/*  CUNEIFORM NUMERIC SIGN NINE U VARIANT FORM  */
	{ 0x1246E, "9", 1 }
};

#endif	/*  wc2num.h  */

