#ifndef CGS_WC_STR_H
#define CGS_WC_STR_H 1

#include <stdio.h>
#include "wc2asc.h"
#include <wchar.h>
#include <wctype.h>

/*  ASCII replacements for non-ASCII  */

struct wc2asc wc2strtab[] = {
	/*  MICRO SIGN  */
	{ 0x00B5, "u", 1 },
	/*  LATIN SMALL LETTER SHARP S  */
	{ 0x00DF, "ss", 2 },
	/*  LATIN SMALL LETTER A WITH GRAVE  */
	{ 0x00E0, "a", 1 },
	/*  LATIN SMALL LETTER A WITH ACUTE  */
	{ 0x00E1, "a", 1 },
	/*  LATIN SMALL LETTER A WITH CIRCUMFLEX  */
	{ 0x00E2, "a", 1 },
	/*  LATIN SMALL LETTER A WITH TILDE  */
	{ 0x00E3, "a", 1 },
	/*  LATIN SMALL LETTER A WITH DIAERESIS  */
	{ 0x00E4, "a", 1 },
	/*  LATIN SMALL LETTER A WITH RING ABOVE  */
	{ 0x00E5, "a", 1 },
	/*  LATIN SMALL LETTER AE  */
	{ 0x00E6, "ae", 2 },
	/*  LATIN SMALL LETTER C WITH CEDILLA  */
	{ 0x00E7, "c", 1 },
	/*  LATIN SMALL LETTER E WITH GRAVE  */
	{ 0x00E8, "e", 1 },
	/*  LATIN SMALL LETTER E WITH ACUTE  */
	{ 0x00E9, "e", 1 },
	/*  LATIN SMALL LETTER E WITH CIRCUMFLEX  */
	{ 0x00EA, "e", 1 },
	/*  LATIN SMALL LETTER E WITH DIAERESIS  */
	{ 0x00EB, "e", 1 },
	/*  LATIN SMALL LETTER I WITH GRAVE  */
	{ 0x00EC, "i", 1 },
	/*  LATIN SMALL LETTER I WITH ACUTE  */
	{ 0x00ED, "i", 1 },
	/*  LATIN SMALL LETTER I WITH CIRCUMFLEX  */
	{ 0x00EE, "i", 1 },
	/*  LATIN SMALL LETTER I WITH DIAERESIS  */
	{ 0x00EF, "i", 1 },
	/*  LATIN SMALL LETTER ETH  */
	{ 0x00F0, "d", 1 },
	/*  LATIN SMALL LETTER N WITH TILDE  */
	{ 0x00F1, "n", 1 },
	/*  LATIN SMALL LETTER O WITH GRAVE  */
	{ 0x00F2, "o", 1 },
	/*  LATIN SMALL LETTER O WITH ACUTE  */
	{ 0x00F3, "o", 1 },
	/*  LATIN SMALL LETTER O WITH CIRCUMFLEX  */
	{ 0x00F4, "o", 1 },
	/*  LATIN SMALL LETTER O WITH TILDE  */
	{ 0x00F5, "o", 1 },
	/*  LATIN SMALL LETTER O WITH DIAERESIS  */
	{ 0x00F6, "o", 1 },
	/*  LATIN SMALL LETTER O WITH STROKE  */
	{ 0x00F8, "o", 1 },
	/*  LATIN SMALL LETTER U WITH GRAVE  */
	{ 0x00F9, "u", 1 },
	/*  LATIN SMALL LETTER U WITH ACUTE  */
	{ 0x00FA, "u", 1 },
	/*  LATIN SMALL LETTER U WITH CIRCUMFLEX  */
	{ 0x00FB, "u", 1 },
	/*  LATIN SMALL LETTER U WITH DIAERESIS  */
	{ 0x00FC, "u", 1 },
	/*  LATIN SMALL LETTER Y WITH ACUTE  */
	{ 0x00FD, "y", 1 },
	/*  LATIN SMALL LETTER THORN  */
	{ 0x00FE, "th", 2 },
	/*  LATIN SMALL LETTER Y WITH DIAERESIS  */
	{ 0x00FF, "y", 1 },
	/*  LATIN SMALL LETTER A WITH MACRON  */
	{ 0x0101, "a", 1 },
	/*  LATIN SMALL LETTER A WITH BREVE  */
	{ 0x0103, "a", 1 },
	/*  LATIN SMALL LETTER A WITH OGONEK  */
	{ 0x0105, "a", 1 },
	/*  LATIN SMALL LETTER C WITH ACUTE  */
	{ 0x0107, "c", 1 },
	/*  LATIN SMALL LETTER C WITH CIRCUMFLEX  */
	{ 0x0109, "c", 1 },
	/*  LATIN SMALL LETTER C WITH DOT ABOVE  */
	{ 0x010B, "c", 1 },
	/*  LATIN SMALL LETTER C WITH CARON  */
	{ 0x010D, "c", 1 },
	/*  LATIN SMALL LETTER D WITH CARON  */
	{ 0x010F, "d", 1 },
	/*  LATIN SMALL LETTER D WITH STROKE  */
	{ 0x0111, "d", 1 },
	/*  LATIN SMALL LETTER E WITH MACRON  */
	{ 0x0113, "e", 1 },
	/*  LATIN SMALL LETTER E WITH BREVE  */
	{ 0x0115, "e", 1 },
	/*  LATIN SMALL LETTER E WITH DOT ABOVE  */
	{ 0x0117, "e", 1 },
	/*  LATIN SMALL LETTER E WITH OGONEK  */
	{ 0x0119, "e", 1 },
	/*  LATIN SMALL LETTER E WITH CARON  */
	{ 0x011B, "e", 1 },
	/*  LATIN SMALL LETTER G WITH CIRCUMFLEX  */
	{ 0x011D, "g", 1 },
	/*  LATIN SMALL LETTER G WITH BREVE  */
	{ 0x011F, "g", 1 },
	/*  LATIN SMALL LETTER G WITH DOT ABOVE  */
	{ 0x0121, "g", 1 },
	/*  LATIN SMALL LETTER G WITH CEDILLA  */
	{ 0x0123, "g", 1 },
	/*  LATIN SMALL LETTER H WITH CIRCUMFLEX  */
	{ 0x0125, "h", 1 },
	/*  LATIN SMALL LETTER H WITH STROKE  */
	{ 0x0127, "h", 1 },
	/*  LATIN SMALL LETTER I WITH TILDE  */
	{ 0x0129, "i", 1 },
	/*  LATIN SMALL LETTER I WITH MACRON  */
	{ 0x012B, "i", 1 },
	/*  LATIN SMALL LETTER I WITH BREVE  */
	{ 0x012D, "i", 1 },
	/*  LATIN SMALL LETTER I WITH OGONEK  */
	{ 0x012F, "i", 1 },
	/*  LATIN SMALL LETTER DOTLESS I  */
	{ 0x0131, "i", 1 },
	/*  LATIN SMALL LIGATURE IJ  */
	{ 0x0133, "ij", 2 },
	/*  LATIN SMALL LETTER J WITH CIRCUMFLEX  */
	{ 0x0135, "j", 1 },
	/*  LATIN SMALL LETTER K WITH CEDILLA  */
	{ 0x0137, "k", 1 },
	/*  LATIN SMALL LETTER L WITH ACUTE  */
	{ 0x013A, "l", 1 },
	/*  LATIN SMALL LETTER L WITH CEDILLA  */
	{ 0x013C, "l", 1 },
	/*  LATIN SMALL LETTER L WITH CARON  */
	{ 0x013E, "l", 1 },
	/*  LATIN SMALL LETTER L WITH MIDDLE DOT  */
	{ 0x0140, "l", 1 },
	/*  LATIN SMALL LETTER L WITH STROKE  */
	{ 0x0142, "l", 1 },
	/*  LATIN SMALL LETTER N WITH ACUTE  */
	{ 0x0144, "n", 1 },
	/*  LATIN SMALL LETTER N WITH CEDILLA  */
	{ 0x0146, "n", 1 },
	/*  LATIN SMALL LETTER N WITH CARON  */
	{ 0x0148, "n", 1 },
	/*  LATIN SMALL LETTER O WITH MACRON  */
	{ 0x014D, "o", 1 },
	/*  LATIN SMALL LETTER O WITH BREVE  */
	{ 0x014F, "o", 1 },
	/*  LATIN SMALL LETTER O WITH DOUBLE ACUTE  */
	{ 0x0151, "o", 1 },
	/*  LATIN SMALL LIGATURE OE  */
	{ 0x0153, "oe", 2 },
	/*  LATIN SMALL LETTER R WITH ACUTE  */
	{ 0x0155, "r", 1 },
	/*  LATIN SMALL LETTER R WITH CEDILLA  */
	{ 0x0157, "r", 1 },
	/*  LATIN SMALL LETTER R WITH CARON  */
	{ 0x0159, "r", 1 },
	/*  LATIN SMALL LETTER S WITH ACUTE  */
	{ 0x015B, "s", 1 },
	/*  LATIN SMALL LETTER S WITH CIRCUMFLEX  */
	{ 0x015D, "s", 1 },
	/*  LATIN SMALL LETTER S WITH CEDILLA  */
	{ 0x015F, "s", 1 },
	/*  LATIN SMALL LETTER S WITH CARON  */
	{ 0x0161, "s", 1 },
	/*  LATIN SMALL LETTER T WITH CEDILLA  */
	{ 0x0163, "t", 1 },
	/*  LATIN SMALL LETTER T WITH CARON  */
	{ 0x0165, "t", 1 },
	/*  LATIN SMALL LETTER T WITH STROKE  */
	{ 0x0167, "t", 1 },
	/*  LATIN SMALL LETTER U WITH TILDE  */
	{ 0x0169, "u", 1 },
	/*  LATIN SMALL LETTER U WITH MACRON  */
	{ 0x016B, "u", 1 },
	/*  LATIN SMALL LETTER U WITH BREVE  */
	{ 0x016D, "u", 1 },
	/*  LATIN SMALL LETTER U WITH RING ABOVE  */
	{ 0x016F, "u", 1 },
	/*  LATIN SMALL LETTER U WITH DOUBLE ACUTE  */
	{ 0x0171, "u", 1 },
	/*  LATIN SMALL LETTER U WITH OGONEK  */
	{ 0x0173, "u", 1 },
	/*  LATIN SMALL LETTER W WITH CIRCUMFLEX  */
	{ 0x0175, "w", 1 },
	/*  LATIN SMALL LETTER Y WITH CIRCUMFLEX  */
	{ 0x0177, "y", 1 },
	/*  LATIN SMALL LETTER Z WITH ACUTE  */
	{ 0x017A, "z", 1 },
	/*  LATIN SMALL LETTER Z WITH DOT ABOVE  */
	{ 0x017C, "z", 1 },
	/*  LATIN SMALL LETTER Z WITH CARON  */
	{ 0x017E, "z", 1 },
	/*  LATIN SMALL LETTER LONG S  */
	{ 0x017F, "s", 1 },
	/*  LATIN SMALL LETTER F WITH HOOK  */
	{ 0x0192, "f", 1 },
	/*  LATIN SMALL LETTER HV  */
	{ 0x0195, "hv", 2 },
	/*  LATIN SMALL LETTER O WITH HORN  */
	{ 0x01A1, "o", 1 },
	/*  LATIN SMALL LETTER OI  */
	{ 0x01A3, "oi", 2 },
	/*  LATIN LETTER YR  */
	{ 0x01A6, "yr", 2 },
	/*  LATIN SMALL LETTER U WITH HORN  */
	{ 0x01B0, "u", 1 },
	/*  LATIN SMALL LETTER LJ  */
	{ 0x01C9, "lj", 2 },
	/*  LATIN SMALL LETTER NJ  */
	{ 0x01CC, "nj", 2 },
	/*  LATIN SMALL LETTER A WITH CARON  */
	{ 0x01CE, "a", 1 },
	/*  LATIN SMALL LETTER I WITH CARON  */
	{ 0x01D0, "i", 1 },
	/*  LATIN SMALL LETTER O WITH CARON  */
	{ 0x01D2, "o", 1 },
	/*  LATIN SMALL LETTER U WITH CARON  */
	{ 0x01D4, "u", 1 },
	/*  LATIN SMALL LETTER G WITH CARON  */
	{ 0x01E7, "g", 1 },
	/*  LATIN SMALL LETTER K WITH CARON  */
	{ 0x01E9, "k", 1 },
	/*  LATIN SMALL LETTER O WITH OGONEK  */
	{ 0x01EB, "o", 1 },
	/*  LATIN SMALL LETTER J WITH CARON  */
	{ 0x01F0, "j", 1 },
	/*  LATIN SMALL LETTER DZ  */
	{ 0x01F3, "dz", 2 },
	/*  LATIN SMALL LETTER G WITH ACUTE  */
	{ 0x01F5, "g", 1 },
	/*  LATIN SMALL LETTER N WITH GRAVE  */
	{ 0x01F9, "n", 1 },
	/*  LATIN SMALL LETTER A WITH DOUBLE GRAVE  */
	{ 0x0201, "a", 1 },
	/*  LATIN SMALL LETTER A WITH INVERTED BREVE  */
	{ 0x0203, "a", 1 },
	/*  LATIN SMALL LETTER E WITH DOUBLE GRAVE  */
	{ 0x0205, "e", 1 },
	/*  LATIN SMALL LETTER E WITH INVERTED BREVE  */
	{ 0x0207, "e", 1 },
	/*  LATIN SMALL LETTER I WITH DOUBLE GRAVE  */
	{ 0x0209, "i", 1 },
	/*  LATIN SMALL LETTER I WITH INVERTED BREVE  */
	{ 0x020B, "i", 1 },
	/*  LATIN SMALL LETTER O WITH DOUBLE GRAVE  */
	{ 0x020D, "o", 1 },
	/*  LATIN SMALL LETTER O WITH INVERTED BREVE  */
	{ 0x020F, "o", 1 },
	/*  LATIN SMALL LETTER R WITH DOUBLE GRAVE  */
	{ 0x0211, "r", 1 },
	/*  LATIN SMALL LETTER R WITH INVERTED BREVE  */
	{ 0x0213, "r", 1 },
	/*  LATIN SMALL LETTER U WITH DOUBLE GRAVE  */
	{ 0x0215, "u", 1 },
	/*  LATIN SMALL LETTER U WITH INVERTED BREVE  */
	{ 0x0217, "u", 1 },
	/*  LATIN SMALL LETTER S WITH COMMA BELOW  */
	{ 0x0219, "s", 1 },
	/*  LATIN SMALL LETTER T WITH COMMA BELOW  */
	{ 0x021B, "t", 1 },
	/*  LATIN SMALL LETTER H WITH CARON  */
	{ 0x021F, "h", 1 },
	/*  LATIN SMALL LETTER OU  */
	{ 0x0223, "ou", 2 },
	/*  LATIN SMALL LETTER A WITH DOT ABOVE  */
	{ 0x0227, "a", 1 },
	/*  LATIN SMALL LETTER E WITH CEDILLA  */
	{ 0x0229, "e", 1 },
	/*  LATIN SMALL LETTER O WITH DOT ABOVE  */
	{ 0x022F, "o", 1 },
	/*  LATIN SMALL LETTER Y WITH MACRON  */
	{ 0x0233, "y", 1 },
	/*  LATIN SMALL LETTER DB DIGRAPH  */
	{ 0x0238, "db", 2 },
	/*  LATIN SMALL LETTER QP DIGRAPH  */
	{ 0x0239, "qp", 2 },
	/*  LATIN SMALL LETTER DZ DIGRAPH  */
	{ 0x02A3, "dz", 2 },
	/*  LATIN SMALL LETTER DZ DIGRAPH WITH CURL  */
	{ 0x02A5, "dz", 2 },
	/*  LATIN SMALL LETTER TS DIGRAPH  */
	{ 0x02A6, "ts", 2 },
	/*  LATIN SMALL LETTER TC DIGRAPH WITH CURL  */
	{ 0x02A8, "tc", 2 },
	/*  LATIN SMALL LETTER LS DIGRAPH  */
	{ 0x02AA, "ls", 2 },
	/*  LATIN SMALL LETTER LZ DIGRAPH  */
	{ 0x02AB, "lz", 2 },
	/*  LATIN SMALL LETTER UE  */
	{ 0x1D6B, "ue", 2 },
	/*  LATIN SMALL LETTER A WITH RING BELOW  */
	{ 0x1E01, "a", 1 },
	/*  LATIN SMALL LETTER B WITH DOT ABOVE  */
	{ 0x1E03, "b", 1 },
	/*  LATIN SMALL LETTER B WITH DOT BELOW  */
	{ 0x1E05, "b", 1 },
	/*  LATIN SMALL LETTER B WITH LINE BELOW  */
	{ 0x1E07, "b", 1 },
	/*  LATIN SMALL LETTER D WITH DOT ABOVE  */
	{ 0x1E0B, "d", 1 },
	/*  LATIN SMALL LETTER D WITH DOT BELOW  */
	{ 0x1E0D, "d", 1 },
	/*  LATIN SMALL LETTER D WITH LINE BELOW  */
	{ 0x1E0F, "d", 1 },
	/*  LATIN SMALL LETTER D WITH CEDILLA  */
	{ 0x1E11, "d", 1 },
	/*  LATIN SMALL LETTER D WITH CIRCUMFLEX BELOW  */
	{ 0x1E13, "d", 1 },
	/*  LATIN SMALL LETTER E WITH CIRCUMFLEX BELOW  */
	{ 0x1E19, "e", 1 },
	/*  LATIN SMALL LETTER E WITH TILDE BELOW  */
	{ 0x1E1B, "e", 1 },
	/*  LATIN SMALL LETTER F WITH DOT ABOVE  */
	{ 0x1E1F, "f", 1 },
	/*  LATIN SMALL LETTER G WITH MACRON  */
	{ 0x1E21, "g", 1 },
	/*  LATIN SMALL LETTER H WITH DOT ABOVE  */
	{ 0x1E23, "h", 1 },
	/*  LATIN SMALL LETTER H WITH DOT BELOW  */
	{ 0x1E25, "h", 1 },
	/*  LATIN SMALL LETTER H WITH DIAERESIS  */
	{ 0x1E27, "h", 1 },
	/*  LATIN SMALL LETTER H WITH CEDILLA  */
	{ 0x1E29, "h", 1 },
	/*  LATIN SMALL LETTER H WITH BREVE BELOW  */
	{ 0x1E2B, "h", 1 },
	/*  LATIN SMALL LETTER I WITH TILDE BELOW  */
	{ 0x1E2D, "i", 1 },
	/*  LATIN SMALL LETTER K WITH ACUTE  */
	{ 0x1E31, "k", 1 },
	/*  LATIN SMALL LETTER K WITH DOT BELOW  */
	{ 0x1E33, "k", 1 },
	/*  LATIN SMALL LETTER K WITH LINE BELOW  */
	{ 0x1E35, "k", 1 },
	/*  LATIN SMALL LETTER L WITH DOT BELOW  */
	{ 0x1E37, "l", 1 },
	/*  LATIN SMALL LETTER L WITH LINE BELOW  */
	{ 0x1E3B, "l", 1 },
	/*  LATIN SMALL LETTER L WITH CIRCUMFLEX BELOW  */
	{ 0x1E3D, "l", 1 },
	/*  LATIN SMALL LETTER M WITH ACUTE  */
	{ 0x1E3F, "m", 1 },
	/*  LATIN SMALL LETTER M WITH DOT ABOVE  */
	{ 0x1E41, "m", 1 },
	/*  LATIN SMALL LETTER M WITH DOT BELOW  */
	{ 0x1E43, "m", 1 },
	/*  LATIN SMALL LETTER N WITH DOT ABOVE  */
	{ 0x1E45, "n", 1 },
	/*  LATIN SMALL LETTER N WITH DOT BELOW  */
	{ 0x1E47, "n", 1 },
	/*  LATIN SMALL LETTER N WITH LINE BELOW  */
	{ 0x1E49, "n", 1 },
	/*  LATIN SMALL LETTER N WITH CIRCUMFLEX BELOW  */
	{ 0x1E4B, "n", 1 },
	/*  LATIN SMALL LETTER P WITH ACUTE  */
	{ 0x1E55, "p", 1 },
	/*  LATIN SMALL LETTER P WITH DOT ABOVE  */
	{ 0x1E57, "p", 1 },
	/*  LATIN SMALL LETTER R WITH DOT ABOVE  */
	{ 0x1E59, "r", 1 },
	/*  LATIN SMALL LETTER R WITH DOT BELOW  */
	{ 0x1E5B, "r", 1 },
	/*  LATIN SMALL LETTER R WITH LINE BELOW  */
	{ 0x1E5F, "r", 1 },
	/*  LATIN SMALL LETTER S WITH DOT ABOVE  */
	{ 0x1E61, "s", 1 },
	/*  LATIN SMALL LETTER S WITH DOT BELOW  */
	{ 0x1E63, "s", 1 },
	/*  LATIN SMALL LETTER T WITH DOT ABOVE  */
	{ 0x1E6B, "t", 1 },
	/*  LATIN SMALL LETTER T WITH DOT BELOW  */
	{ 0x1E6D, "t", 1 },
	/*  LATIN SMALL LETTER T WITH LINE BELOW  */
	{ 0x1E6F, "t", 1 },
	/*  LATIN SMALL LETTER T WITH CIRCUMFLEX BELOW  */
	{ 0x1E71, "t", 1 },
	/*  LATIN SMALL LETTER U WITH DIAERESIS BELOW  */
	{ 0x1E73, "u", 1 },
	/*  LATIN SMALL LETTER U WITH TILDE BELOW  */
	{ 0x1E75, "u", 1 },
	/*  LATIN SMALL LETTER U WITH CIRCUMFLEX BELOW  */
	{ 0x1E77, "u", 1 },
	/*  LATIN SMALL LETTER V WITH TILDE  */
	{ 0x1E7D, "v", 1 },
	/*  LATIN SMALL LETTER V WITH DOT BELOW  */
	{ 0x1E7F, "v", 1 },
	/*  LATIN SMALL LETTER W WITH GRAVE  */
	{ 0x1E81, "w", 1 },
	/*  LATIN SMALL LETTER W WITH ACUTE  */
	{ 0x1E83, "w", 1 },
	/*  LATIN SMALL LETTER W WITH DIAERESIS  */
	{ 0x1E85, "w", 1 },
	/*  LATIN SMALL LETTER W WITH DOT ABOVE  */
	{ 0x1E87, "w", 1 },
	/*  LATIN SMALL LETTER W WITH DOT BELOW  */
	{ 0x1E89, "w", 1 },
	/*  LATIN SMALL LETTER X WITH DOT ABOVE  */
	{ 0x1E8B, "x", 1 },
	/*  LATIN SMALL LETTER X WITH DIAERESIS  */
	{ 0x1E8D, "x", 1 },
	/*  LATIN SMALL LETTER Y WITH DOT ABOVE  */
	{ 0x1E8F, "y", 1 },
	/*  LATIN SMALL LETTER Z WITH CIRCUMFLEX  */
	{ 0x1E91, "z", 1 },
	/*  LATIN SMALL LETTER Z WITH DOT BELOW  */
	{ 0x1E93, "z", 1 },
	/*  LATIN SMALL LETTER Z WITH LINE BELOW  */
	{ 0x1E95, "z", 1 },
	/*  LATIN SMALL LETTER H WITH LINE BELOW  */
	{ 0x1E96, "h", 1 },
	/*  LATIN SMALL LETTER T WITH DIAERESIS  */
	{ 0x1E97, "t", 1 },
	/*  LATIN SMALL LETTER W WITH RING ABOVE  */
	{ 0x1E98, "w", 1 },
	/*  LATIN SMALL LETTER Y WITH RING ABOVE  */
	{ 0x1E99, "y", 1 },
	/*  LATIN SMALL LETTER A WITH DOT BELOW  */
	{ 0x1EA1, "a", 1 },
	/*  LATIN SMALL LETTER A WITH HOOK ABOVE  */
	{ 0x1EA3, "a", 1 },
	/*  LATIN SMALL LETTER E WITH DOT BELOW  */
	{ 0x1EB9, "e", 1 },
	/*  LATIN SMALL LETTER E WITH HOOK ABOVE  */
	{ 0x1EBB, "e", 1 },
	/*  LATIN SMALL LETTER E WITH TILDE  */
	{ 0x1EBD, "e", 1 },
	/*  LATIN SMALL LETTER I WITH HOOK ABOVE  */
	{ 0x1EC9, "i", 1 },
	/*  LATIN SMALL LETTER I WITH DOT BELOW  */
	{ 0x1ECB, "i", 1 },
	/*  LATIN SMALL LETTER O WITH DOT BELOW  */
	{ 0x1ECD, "o", 1 },
	/*  LATIN SMALL LETTER O WITH HOOK ABOVE  */
	{ 0x1ECF, "o", 1 },
	/*  LATIN SMALL LETTER U WITH DOT BELOW  */
	{ 0x1EE5, "u", 1 },
	/*  LATIN SMALL LETTER U WITH HOOK ABOVE  */
	{ 0x1EE7, "u", 1 },
	/*  LATIN SMALL LETTER Y WITH GRAVE  */
	{ 0x1EF3, "y", 1 },
	/*  LATIN SMALL LETTER Y WITH DOT BELOW  */
	{ 0x1EF5, "y", 1 },
	/*  LATIN SMALL LETTER Y WITH HOOK ABOVE  */
	{ 0x1EF7, "y", 1 },
	/*  LATIN SMALL LETTER Y WITH TILDE  */
	{ 0x1EF9, "y", 1 },
	/*  OHM SIGN  */
	{ 0x2126, "ohm", 3 },
	/*  SMALL ROMAN NUMERAL ONE  */
	{ 0x2170, "i", 1 },
	/*  SMALL ROMAN NUMERAL TWO  */
	{ 0x2171, "ii", 2 },
	/*  SMALL ROMAN NUMERAL THREE  */
	{ 0x2172, "iii", 3 },
	/*  SMALL ROMAN NUMERAL FOUR  */
	{ 0x2173, "iv", 2 },
	/*  SMALL ROMAN NUMERAL FIVE  */
	{ 0x2174, "v", 1 },
	/*  SMALL ROMAN NUMERAL SIX  */
	{ 0x2175, "vi", 2 },
	/*  SMALL ROMAN NUMERAL SEVEN  */
	{ 0x2176, "vii", 3 },
	/*  SMALL ROMAN NUMERAL EIGHT  */
	{ 0x2177, "viii", 4 },
	/*  SMALL ROMAN NUMERAL NINE  */
	{ 0x2178, "ix", 2 },
	/*  SMALL ROMAN NUMERAL TEN  */
	{ 0x2179, "x", 1 },
	/*  SMALL ROMAN NUMERAL ELEVEN  */
	{ 0x217A, "xi", 2 },
	/*  SMALL ROMAN NUMERAL TWELVE  */
	{ 0x217B, "xii", 3 },
	/*  SMALL ROMAN NUMERAL FIFTY  */
	{ 0x217C, "l", 1 },
	/*  SMALL ROMAN NUMERAL ONE HUNDRED  */
	{ 0x217D, "c", 1 },
	/*  SMALL ROMAN NUMERAL FIVE HUNDRED  */
	{ 0x217E, "d", 1 },
	/*  SMALL ROMAN NUMERAL ONE THOUSAND  */
	{ 0x217F, "m", 1 },
	/*  LATIN SMALL LETTER TZ  */
	{ 0xA729, "tz", 2 },
	/*  LATIN SMALL LETTER AA  */
	{ 0xA733, "aa", 2 },
	/*  LATIN SMALL LETTER AO  */
	{ 0xA735, "ao", 2 },
	/*  LATIN SMALL LETTER AU  */
	{ 0xA737, "au", 2 },
	/*  LATIN SMALL LETTER AV  */
	{ 0xA739, "av", 2 },
	/*  LATIN SMALL LETTER AY  */
	{ 0xA73D, "ay", 2 },
	/*  LATIN SMALL LETTER OO  */
	{ 0xA74F, "oo", 2 },
	/*  LATIN SMALL LETTER VY  */
	{ 0xA761, "vy", 2 },
	/*  LATIN SMALL LETTER ET  */
	{ 0xA76B, "et", 2 },
	/*  LATIN SMALL LETTER IS  */
	{ 0xA76D, "is", 2 },
	/*  LATIN SMALL LETTER UM  */
	{ 0xA778, "um", 2 },
	/*  LATIN SMALL LETTER UI  */
	{ 0xAB50, "ui", 2 },
	/*  LATIN SMALL LETTER UO  */
	{ 0xAB63, "uo", 2 },
	/*  LATIN SMALL LETTER DZ DIGRAPH WITH RETROFLEX HOOK  */
	{ 0xAB66, "dz", 2 },
	/*  LATIN SMALL LETTER TS DIGRAPH WITH RETROFLEX HOOK  */
	{ 0xAB67, "ts", 2 },
	/*  LATIN SMALL LIGATURE FF  */
	{ 0xFB00, "ff", 2 },
	/*  LATIN SMALL LIGATURE FI  */
	{ 0xFB01, "fi", 2 },
	/*  LATIN SMALL LIGATURE FL  */
	{ 0xFB02, "fl", 2 },
	/*  LATIN SMALL LIGATURE FFI  */
	{ 0xFB03, "ffi", 3 },
	/*  LATIN SMALL LIGATURE FFL  */
	{ 0xFB04, "ffl", 3 },
	/*  LATIN SMALL LIGATURE ST  */
	{ 0xFB06, "st", 2 }
};

#endif	/*  wc2str.h  */

